Name:          inkscape
Version:       0.48.5
Release:       1mamba
Summary:       A SVG based generic vector-drawing application
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://inkscape.sf.net/
Source:        http://downloads.sourceforge.net/sourceforge/inkscape/inkscape-%{version}.tar.bz2
Patch:         %{name}-0.43-desktop_file.patch
Patch1:        %{name}-0.47-poppler-0.12.2.patch
Patch2:        %{name}-0.47-gcc45.patch
Patch3:        inkscape-0.48.5-libgc-7.4.2.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: aspell-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libatkmm-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libcairomm-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgc-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libglibmm-devel
BuildRequires: libgnome-vfs-devel
BuildRequires: libgomp-devel
BuildRequires: libgsl-devel
BuildRequires: libgtk2-devel
BuildRequires: libgtkmm2-devel
BuildRequires: libgtkspell-devel
BuildRequires: liblcms2-devel
BuildRequires: libMagick-devel
BuildRequires: libpango-devel
BuildRequires: libpangomm-devel
BuildRequires: libpng-devel
BuildRequires: libpoppler-devel
BuildRequires: libpoppler-glib-devel
BuildRequires: libpopt-devel
BuildRequires: libsigc++-devel
BuildRequires: libstdc++6-devel
BuildRequires: libwpd-devel
BuildRequires: libwpg-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
BuildRequires: perl-devel
BuildRequires: perl-SVG
BuildRequires: perl-SVG-Parser
BuildRequires: perl-XML-XQL
## AUTOBUILDREQ-END
BuildRequires: intltool >= 0.22
BuildRequires: perl-XML-Parser >= 2.31
BuildRequires: gettext-devel
BuildRequires: pkgconfig >= 0.9.0
BuildRequires: libsigc++2-devel >= 1.2.5
BuildRequires: libpython-devel
Requires:      pstoedit >= 3.40
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Inkscape is an open source SVG editor with capabilities similar to Illustrator, CorelDraw, Visio, etc.
Supported SVG features include basic shapes, paths, text, alpha blending, transforms, gradients, node editing, svg-to-png export, grouping, and more.

Inkscape's main motivation is to provide the Open Source community with a fully XML, SVG, and CSS2 compliant SVG drawing tool.
Additional planned work includes conversion of the codebase from C/Gtk to C++/Gtkmm, emphasizing a lightweight core with powerful features added through an extension mechanism, and establishment of a friendly, open, community-oriented development processes.

%prep
%setup -q
#%patch1 -p1
#%patch2 -p1
%patch3 -p1

# Fixes build with gcc 4.8
sed -e "s@commands_toolbox,@commands_toolbox@" -i src/widgets/desktop-widget.h

%build
LDFLAGS="-ldl" \
%configure \
   --with-gnome-vfs \
   --with-python
#   --with-gnome-print \
#   --enable-inkboard
#  --with-perl \

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/*
%dir %{_datadir}/inkscape/
%{_datadir}/inkscape/*
#_datadir}/pixmaps/*.png
%{_datadir}/applications/%{name}.desktop
#%dir %{_libdir}/inkscape/
#%{_libdir}/inkscape/
%{_mandir}/man?/*
%lang(el) %{_mandir}/el/man1/inkscape.el.1*
%lang(fr) %{_mandir}/fr/man1/inkscape.fr.1*
%lang(ja) %{_mandir}/ja/man1/inkscape.ja.1*
%lang(sk) %{_mandir}/sk/man1/inkscape.ja.1*
%lang(zh_TW) %{_mandir}/zh_TW/man1/inkscape.zh_TW.1*
%{_datadir}/icons/hicolor/*/apps/inkscape.png
%doc AUTHORS ChangeLog COPYING* NEWS README

%changelog
* Thu Sep 18 2014 Automatic Build System <autodist@mambasoft.it> 0.48.5-1mamba
- automatic version update by autodist

* Sat Sep 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.48.4-2mamba
- rebuilt

* Tue Dec 18 2012 Automatic Build System <autodist@mambasoft.it> 0.48.4-1mamba
- automatic version update by autodist

* Tue Mar 06 2012 Automatic Build System <autodist@mambasoft.it> 0.48.3.1-1mamba
- automatic version update by autodist

* Sat Jul 09 2011 Automatic Build System <autodist@mambasoft.it> 0.48.2-1mamba
- automatic update by autodist

* Sat Feb 12 2011 Automatic Build System <autodist@mambasoft.it> 0.48.1-1mamba
- automatic update by autodist

* Sun Sep 26 2010 Automatic Build System <autodist@mambasoft.it> 0.48.0-1mamba
- automatic update by autodist

* Wed Sep 08 2010 Automatic Build System <autodist@mambasoft.it> 0.47-4mamba
- automatic rebuild by autodist

* Sat Jul 10 2010 Automatic Build System <autodist@mambasoft.it> 0.47-3mamba
- automatic rebuild by autodist

* Wed Jan 20 2010 Automatic Build System <autodist@mambasoft.it> 0.47-2mamba
- automatic rebuild by autodist

* Sat Nov 21 2009 Automatic Build System <autodist@mambasoft.it> 0.47-1mamba
- automatic update to 0.47 by autodist

* Tue Jun 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.46-2mamba
- rebuilt against ImageMagick 1.4.1

* Thu Jun 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.46-1mamba
- update to 0.46

* Mon Oct 01 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.45.1-1mamba
- update to 0.45.1

* Mon Sep 11 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.44.1-1qilnx
- update to version 0.44.1 by autospec

* Fri Jun 23 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.44-1qilnx
- update to version 0.44 by autospec

* Tue Nov 29 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.43-2qilnx
- added some missing build requirements: libglibmm-devel, libxslt-devel,
  libgtkspell-devel
- enabled Inkboard online whiteboard facility

* Mon Nov 21 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.43-1qilnx
- update to version 0.43 by autospec
- also fixes a security issue (qibug#81, CAN-2005-3737)

* Thu Jul 28 2005 Davide Madrisan <davide.madrisan@qilinux.it> 0.42-1qilnx
- update to version 0.42 by autospec
- requires `pstoedit' (was listed in ~/inkscape/extension-errors.log)

* Thu Mar 03 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.41-1qilnx
- update to version 0.41 by autospec

* Fri Dec 17 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.40-2qilnx
- set LDFLAG to fix the errors: undefined reference to `dlopen'
- own `%{_datadir}/inkscape/' and `%{_libdir}/inkscape/'
- removed requirements

* Wed Dec 15 2004 Matteo Bernasconi <voyagernm@virgilio.it> 0.40-1qilnx
- updated to new release

* Tue Oct 05 2004 Davide Madrisan <davide.madrisan@qilinux.it> 0.39-2qilnx
- specfile modified to match QiLinux standards
- added missing BuildRequirements

* Tue Sep 14 2004 Matteo Bernasconi <voyagernm@virgilio.it> 0.39-1qilnx
- first build
